Home | All Classes | Grouped Classes | Index | Search

# CL_InputSourceProvider_File::clone

Clone the provider.

    	CL_InputSourceProvider* clone();

Return value:

New instance of the current provider.

Detailed description:

Creates a new instance of the class with the same internal data. This is equivaled to new CL_InputSourceProvider_File(get_path()).

See also:

CL_InputSourceProvider | CL_InputSourceProvider_File | CL_InputSource

Questions or comments, write to the ClanLib mailing list.